/* Exemplo de uso de argumentos de linha e comando */
/* Recebe uma palavra e frases pela linha de comando
 * e verifica se a palavra ocorre em cada frase 
 * Ex. prog banana "Ana Banana" "Bananastao Feganistao" */

#include <stdio.h>
#include <string.h>

int main (int argc, char *argv[]) 
{
  int i;

  if (argc < 3)
    printf("\nForma de uso: %s palavra frase ... \n\n", argv[0]);
  else {
    for (i=2; i < argc; i++)
      if (strstr(argv[i], argv[1]))
	printf ("\t%s ocorre pelo menos 1 vez na frase \"%s\"\n", argv[1],
		        i + 1);
  }
}

